###########################################################
### Ch3 - Script 3 - Gene Expression
###########################################################

###########################################################
### Theme
###########################################################
theme_set(my_theme())

###########################################################
### Gene Expression graphs
###########################################################
labels = c("P864" = "WT Seg. #1",
           "P865" = "WT Seg. #2",
           "P866_P867" = expression(italic("Mtfta1")~" Homo."),  
           "P869" = "Wild-type")  

# Primer pair B
primerpairB <- gene_expr %>%
  filter(date == "03/06/16") %>%
  rt_summary() %>% 
  rt_test() %>% 
  ggplot(aes(fct_reorder(sample, mean_expr, .desc = T), mean_expr, fill = genotype)) +
  geom_col() +
  geom_errorbar(aes(ymin = mean_expr - se, ymax =  mean_expr + se), width = 0.2) +
  scale_y_continuous(expand = c(0,0), limits = c(0,1)) +
  scale_x_discrete(labels = labels) +
  theme(axis.title.x = element_blank(), 
        legend.position= "none") +
  scale_fill_manual(values = g_colours[c(3, 2, 8)]) +
  labs(y = expression("Expression relative to"~italic("PP2A")))

# Primer pair C
primerpairC <- gene_expr %>% 
  filter(date == "04/04/17") %>% 
  rt_summary() %>% 
  rt_test() %>% 
  ggplot(aes(fct_reorder(sample, mean_expr, .desc = T), mean_expr, fill = genotype)) +
  geom_col() +
  geom_errorbar(aes(ymin = mean_expr - se, ymax =  mean_expr + se), width = 0.2) +
  scale_y_continuous(expand = c(0,0), limits = c(0,1)) +
  scale_x_discrete(labels = labels) +
  theme(axis.title.x = element_blank(),
        legend.position= "none") +
  scale_fill_manual(values = g_colours[c(3, 2, 8)]) +
  labs(y = expression("Expression relative to"~italic("PP2A")))
