###########################################################
### Ch3 - Script 6 - Compare to NF3307
###########################################################
compare_NF1634 <- compare %>% 
  select(-genotype) %>% 
  filter(set == "Thomson") %>% 
  mutate(vern = if_else(grepl("V", condition), "V", "NV"),
         condition = if_else(grepl("LD", condition), "LD", "SD"))

compare %>% 
  select(-genotype) %>% 
  filter(set == "Laurie") %>% 
  mutate(vern = if_else(grepl("V", condition), "V", "NV"),
         condition = if_else(grepl("LD", condition), "LD", "SD")) %>% 
  ggplot(aes(condition, days_to_flower)) +
  geom_col(aes(fill = vern), position = position_dodge()) +
  geom_col(data = compare_NF1634, aes(group = vern), position = position_dodge(), 
           alpha = 0,  size = 1.5, linetype = "dashed", col = 'black') +
  
  geom_errorbar(data = compare_NF1634, aes(ymin = days_to_flower - moe, 
                               ymax = days_to_flower + moe, group = vern), 
                position = position_dodge(width = 0.9), 
                size = 1.5, width = 0.4) +
  
  facet_grid(.~fct_rev(mutant)) +
  scale_fill_manual(values = g_colours[c(3, 5)]) +
  scale_y_continuous(expand = c(0,0), limits = c(0, 150)) +
  labs(y = "Days to flower")

ggsave("Ch3_compare_mutants.png", width = 318, height = 196, units = "mm")

# Diff to WT
compare  %>% 
  select(-genotype, -moe) %>%
  spread(mutant, days_to_flower) %>% 
  mutate(diff = Homozygote - `Wild-type`,
         perc = diff/Homozygote*100)

# Vern responses
compare %>% 
  select(-genotype, -moe) %>%
  mutate(vern = if_else(grepl("V", condition), "V", "NV"),
         condition = if_else(grepl("LD", condition), "LD", "SD")) %>% 
  spread(vern, days_to_flower) %>% 
  mutate(diff = NV - V,
         perc = diff/NV*100)

# Photoperiod responses
compare  %>% 
  select(-genotype, -moe) %>%
  mutate(vern = if_else(grepl("V", condition), "V", "NV"),
         condition = if_else(grepl("LD", condition), "LD", "SD")) %>% 
  spread(condition, days_to_flower) %>%
  select(set, mutant, vern, SD, LD) %>% 
  mutate(diff = SD-LD,
         perc = diff/SD*100)
